// naumann@stce.rwth-aachen.de

#pragma once

#include <vector> 
#include <string> 

#include "plotable.hpp"
#include "T.hpp"

/**
 * The data.
 */
class data : public plotable {
  std::vector<std::pair<T,T>> observations;
  std::string filename;
public:
  data(char*);
  ~data();
  void add_observation(const T&, const T&);
  const std::vector<std::pair<T,T>>& get_observations() const;
  void plot() const;
};
