// naumann@stce.rwth-aachen.de

#pragma once

#include "data.hpp"
#include "model.hpp"

/**
 * The nonlinear model.
 */
template<typename T>
struct nonlinear_model : public model<T> {
  using model<T>::p;
  nonlinear_model(const data<T>&, char*);
  ~nonlinear_model();
  T evaluate(T) const;
};

#include "nonlinear_model.cpp"
